# Interface Extension

public interface Extension
Represents a WebSocket extension that can be negotiated during the handshake.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `Extension.Parameter`
  Represents a parameter of a WebSocket extension.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of this extension.
  `List<Extension.Parameter>`
  `getParameters()`
  Returns the parameters associated with this extension.

- ## Method Details

  - ### getName

    String getName()
    Returns the name of this extension.
    Returns:
      The extension name

  - ### getParameters

    List<Extension.Parameter> getParameters()
    Returns the parameters associated with this extension.
    Returns:
      The list of extension parameters